Skip to main content
POST
/
api
/
session
/
{sessionID}
/
form
Create session form
curl --request POST \
  --url https://api.example.com/api/session/{sessionID}/form \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "id": "<string>",
  "metadata": {},
  "fields": [
    {
      "key": "<string>",
      "type": "string",
      "title": "<string>",
      "description": "<string>",
      "required": true,
      "when": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "minLength": 1,
      "maxLength": 1,
      "pattern": "<string>",
      "placeholder": "<string>",
      "default": "<string>",
      "options": [
        {
          "value": "<string>",
          "label": "<string>",
          "description": "<string>"
        }
      ],
      "custom": true
    }
  ],
  "url": "<string>"
}
'
import requests

url = "https://api.example.com/api/session/{sessionID}/form"

payload = {
"title": "<string>",
"id": "<string>",
"metadata": {},
"fields": [
{
"key": "<string>",
"type": "string",
"title": "<string>",
"description": "<string>",
"required": True,
"when": [
{
"key": "<string>",
"value": "<string>"
}
],
"minLength": 1,
"maxLength": 1,
"pattern": "<string>",
"placeholder": "<string>",
"default": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"custom": True
}
],
"url": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
id: '<string>',
metadata: {},
fields: [
{
key: '<string>',
type: 'string',
title: '<string>',
description: '<string>',
required: true,
when: [{key: '<string>', value: '<string>'}],
minLength: 1,
maxLength: 1,
pattern: '<string>',
placeholder: '<string>',
default: '<string>',
options: [{value: '<string>', label: '<string>', description: '<string>'}],
custom: true
}
],
url: '<string>'
})
};

fetch('https://api.example.com/api/session/{sessionID}/form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "sessionID": "<string>",
    "title": "<string>",
    "mode": "form",
    "fields": [
      {
        "key": "<string>",
        "type": "string",
        "title": "<string>",
        "description": "<string>",
        "required": true,
        "when": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "minLength": 1,
        "maxLength": 1,
        "pattern": "<string>",
        "placeholder": "<string>",
        "default": "<string>",
        "options": [
          {
            "value": "<string>",
            "label": "<string>",
            "description": "<string>"
          }
        ],
        "custom": true
      }
    ],
    "metadata": {}
  }
}
{
"_tag": "InvalidRequestError",
"message": "<string>",
"kind": "<string>",
"field": "<string>"
}
{
"_tag": "UnauthorizedError",
"message": "<string>"
}
{
"_tag": "SessionNotFoundError",
"sessionID": "<string>",
"message": "<string>"
}
{
"_tag": "ConflictError",
"message": "<string>",
"resource": "<string>"
}

Path Parameters

sessionID
string
required

Body

application/json
title
string
required
mode
enum<string>
required
Available options:
form,
url
id
string | null
Pattern: ^frm_
metadata
object
fields
object[] | null
url
string | null

Response

Success

data
object
required